"""Module for various data processors in data processing workflows.

This module provides a comprehensive collection of data processors designed to
handle different data modalities and perform a wide range of data transformations.
Data processors are the fundamental building blocks in a data flow graph, acting as
nodes that implement specific, modular data transformations. These processors are
the core building blocks of complex data processing pipelines, facilitating efficient
and scalable data handling.

Key Features of Data Processors in This Module:
  - **Modularity**: Data processors are designed to perform distinct transformations,
    allowing for easy composition and reusability within various data pipelines.
  - **Flexibility**: Supports a wide array of data modalities and transformation
    operations, providing the necessary tools for diverse data processing tasks.
  - **Scalability**: Enables the construction of scalable data pipelines capable of
    handling large volumes of data, ensuring efficiency and performance.
"""
